package com.willalp.flow.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 流程实例对象 hs_flow_examples
 *
 * @author willalp
 * @date 2022-10-09
 */

@TableName("hs_flow_examples")
public class HsFlowExamples extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 实例名称
     */
    @Excel(name = "实例名称")
    private String examplesName;

    /**
     * 实例编码
     */
    @Excel(name = "实例编码")
    private String examplesCode;

    /**
     * 业务表名
     */
    @Excel(name = "业务表名")
    private String businessTableName;

    /**
     * 是否删除（0.未删除；1.已删除）
     */
    @Excel(name = "是否删除", readConverterExp = "0=.未删除；1.已删除")
    @TableLogic
    private Integer isDelete;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setExamplesName(String examplesName) {
        this.examplesName = examplesName;
    }

    public String getExamplesName() {
        return examplesName;
    }

    public void setExamplesCode(String examplesCode) {
        this.examplesCode = examplesCode;
    }

    public String getExamplesCode() {
        return examplesCode;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("examplesName", getExamplesName())
                .append("examplesCode", getExamplesCode())
                .append("businessTableName", getBusinessTableName())
                .append("isDelete", getIsDelete())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }

    public String getBusinessTableName() {
        return businessTableName;
    }

    public void setBusinessTableName(String businessTableName) {
        this.businessTableName = businessTableName;
    }
}
